# FROM directives are overriden by CI system (both Prow CI and OSBS)
FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202104151245.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202104151245.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=2b51499 OS_GIT_VERSION=4.6.0-202104151245.p0-2b51499 SOURCE_DATE_EPOCH=1610645435 SOURCE_GIT_COMMIT=2b51499247434f960a5b543803a92309e3e7ab22 SOURCE_GIT_TAG=v0.1.0-71-g2b51499 SOURCE_GIT_URL=https://github.com/openshift/prom-label-proxy 

WORKDIR /go/src/github.com/openshift/prom-label-proxy
COPY . .
RUN if yum install -y prometheus-promu; then export BUILD_PROMU=false; fi && make build

FROM openshift/base-rhel8:v4.6.0.20210415.134151
ENV __doozer=update BUILD_RELEASE=202104151245.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202104151245.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=2b51499 OS_GIT_VERSION=4.6.0-202104151245.p0-2b51499 SOURCE_DATE_EPOCH=1610645435 SOURCE_GIT_COMMIT=2b51499247434f960a5b543803a92309e3e7ab22 SOURCE_GIT_TAG=v0.1.0-71-g2b51499 SOURCE_GIT_URL=https://github.com/openshift/prom-label-proxy 
COPY --from=builder /go/src/github.com/openshift/prom-label-proxy/prom-label-proxy /usr/bin/prom-label-proxy


# doesn't require a root user.
USER 1001
ENTRYPOINT ["/usr/bin/prom-label-proxy"]

LABEL \
        io.k8s.display-name="" \
        io.k8s.description="" \
        io.openshift.tags="prometheus" \
        summary="" \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        name="openshift/ose-prom-label-proxy" \
        com.redhat.component="prom-label-proxy-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202104151245.p0" \
        io.openshift.build.commit.id="2b51499247434f960a5b543803a92309e3e7ab22" \
        io.openshift.build.source-location="https://github.com/openshift/prom-label-proxy" \
        io.openshift.build.commit.url="https://github.com/openshift/prom-label-proxy/commit/2b51499247434f960a5b543803a92309e3e7ab22" \
        version="v4.6.0"

